ResourceOperationsHelper (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.authz.shared.ResourceOperationsHelper class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.authz.shared
Class ResourceOperationsHelper

    java.lang.Object
      org.hyperic.hq.authz.shared.ResourceOperationsHelper

    public class ResourceOperationsHelper

extends java.lang.Object

Nested Class Summary
`static class` | `ResourceOperationsHelper.CodePair`

Field Summary
`static int` | `APPLICATION`
`static int` | `CREATE`
`static int` | `DELETE`
`static int` | `ESCALATION`
`static int` | `FULL_PERMISSIONS`
`static int` | `GROUP`
`static int` | `MANAGE_ALERTS`
`static int` | `MANAGE_CONTROLS`
`static int` | `NO_PERMISSIONS`
`static int` | `PLATFORM`
`static int` | `READ`
`static int` | `READ_ONLY_PERMISSION`
`static int` | `READ_WRITE_PERMISSIONS`
`static int` | `ROLE`
`static int` | `SERVER`
`static int` | `SERVICE`
`static int` | `UPDATE`
`static int` | `USER`

Constructor Summary
`ResourceOperationsHelper()`

Method Summary
`static java.lang.String` | `getCreateOperation(int resourceTypeId)`
`static java.lang.String` | `getCreateOperation(Resource resource)`
`static java.lang.String` | `getDeleteOperation(int resourceTypeId)`
`static java.lang.String` | `getDeleteOperation(Resource resource)`
`static java.lang.String` | `getManageAlertOperation(int resourceTypeId)`
`static java.lang.String` | `getManageAlertOperation(Resource resource)`
`static java.lang.String` | `getManageControlOperation(int resourceTypeId)`
`static java.lang.String` | `getManageControlOperation(Resource resource)`
`static java.lang.String` | `getOperationName(int resourceTypeCode, int operationCode)`
`static java.lang.String` | `getReadOperation(int resourceTypeId)`
`static java.lang.String` | `getReadOperation(Resource resource)`
`static java.lang.String` | `getResourceType(int resourceTypeId)`
`static java.lang.String` | `getResourceType(Resource resource)`
`static ResourceOperationsHelper.CodePair` | `getResourceTypeOperationCodePair(java.lang.String operationName)`
`static java.lang.String` | `getUpdateOperation(int resourceTypeId)`
`static java.lang.String` | `getUpdateOperation(Resource resource)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PLATFORM

    public static final int PLATFORM

See Also:
  Constant Field Values

### SERVER

    public static final int SERVER

See Also:
  Constant Field Values

### SERVICE

    public static final int SERVICE

See Also:
  Constant Field Values

### GROUP

    public static final int GROUP

See Also:
  Constant Field Values

### APPLICATION

    public static final int APPLICATION

See Also:
  Constant Field Values

### USER

    public static final int USER

See Also:
  Constant Field Values

### ROLE

    public static final int ROLE

See Also:
  Constant Field Values

### ESCALATION

    public static final int ESCALATION

See Also:
  Constant Field Values

### CREATE

    public static final int CREATE

See Also:
  Constant Field Values

### READ

    public static final int READ

See Also:
  Constant Field Values

### UPDATE

    public static final int UPDATE

See Also:
  Constant Field Values

### DELETE

    public static final int DELETE

See Also:
  Constant Field Values

### MANAGE_ALERTS

    public static final int MANAGE_ALERTS

See Also:
  Constant Field Values

### MANAGE_CONTROLS

    public static final int MANAGE_CONTROLS

See Also:
  Constant Field Values

### NO_PERMISSIONS

    public static final int NO_PERMISSIONS

See Also:
  Constant Field Values

### READ_ONLY_PERMISSION

    public static final int READ_ONLY_PERMISSION

See Also:
  Constant Field Values

### READ_WRITE_PERMISSIONS

    public static final int READ_WRITE_PERMISSIONS

See Also:
  Constant Field Values

### FULL_PERMISSIONS

    public static final int FULL_PERMISSIONS

See Also:
  Constant Field Values

Constructor Detail

### ResourceOperationsHelper

    public ResourceOperationsHelper()

Method Detail

### getOperationName

    public static java.lang.String getOperationName(int resourceTypeCode,
                                                    int operationCode)

### getCreateOperation

    public static java.lang.String getCreateOperation(Resource resource)
                                               throws java.lang.IllegalArgumentException

  Throws:
    `java.lang.IllegalArgumentException`

### getReadOperation

    public static java.lang.String getReadOperation(Resource resource)
                                             throws java.lang.IllegalArgumentException

  Throws:
    `java.lang.IllegalArgumentException`

### getUpdateOperation

    public static java.lang.String getUpdateOperation(Resource resource)
                                               throws java.lang.IllegalArgumentException

  Throws:
    `java.lang.IllegalArgumentException`

### getDeleteOperation

    public static java.lang.String getDeleteOperation(Resource resource)
                                               throws java.lang.IllegalArgumentException

  Throws:
    `java.lang.IllegalArgumentException`

### getManageAlertOperation

    public static java.lang.String getManageAlertOperation(Resource resource)
                                                    throws java.lang.IllegalArgumentException

  Throws:
    `java.lang.IllegalArgumentException`

### getManageControlOperation

    public static java.lang.String getManageControlOperation(Resource resource)
                                                      throws java.lang.IllegalArgumentException

  Throws:
    `java.lang.IllegalArgumentException`

### getCreateOperation

    public static java.lang.String getCreateOperation(int resourceTypeId)
                                               throws java.lang.IllegalArgumentException

  Throws:
    `java.lang.IllegalArgumentException`

### getReadOperation

    public static java.lang.String getReadOperation(int resourceTypeId)
                                             throws java.lang.IllegalArgumentException

  Throws:
    `java.lang.IllegalArgumentException`

### getUpdateOperation

    public static java.lang.String getUpdateOperation(int resourceTypeId)
                                               throws java.lang.IllegalArgumentException

  Throws:
    `java.lang.IllegalArgumentException`

### getDeleteOperation

    public static java.lang.String getDeleteOperation(int resourceTypeId)
                                               throws java.lang.IllegalArgumentException

  Throws:
    `java.lang.IllegalArgumentException`

### getManageAlertOperation

    public static java.lang.String getManageAlertOperation(int resourceTypeId)
                                                    throws java.lang.IllegalArgumentException

  Throws:
    `java.lang.IllegalArgumentException`

### getManageControlOperation

    public static java.lang.String getManageControlOperation(int resourceTypeId)
                                                      throws java.lang.IllegalArgumentException

  Throws:
    `java.lang.IllegalArgumentException`

### getResourceType

    public static java.lang.String getResourceType(Resource resource)
                                            throws java.lang.IllegalArgumentException,
                                                   java.lang.UnsupportedOperationException

  Throws:
    `java.lang.IllegalArgumentException`
    `java.lang.UnsupportedOperationException`

### getResourceType

    public static java.lang.String getResourceType(int resourceTypeId)
                                            throws java.lang.IllegalArgumentException,
                                                   java.lang.UnsupportedOperationException

  Throws:
    `java.lang.IllegalArgumentException`
    `java.lang.UnsupportedOperationException`

### getResourceTypeOperationCodePair

    public static ResourceOperationsHelper.CodePair getResourceTypeOperationCodePair(java.lang.String operationName)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.